<?php 
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

// +-----------------------------------------------------------------------+
//				Liste des concours
// +-----------------------------------------------------------------------+
$contests = pwg_query("SELECT 
		id, 
		name, 
		visible, 
		date_begin, 
		date_end, 
		logo, 
		summary 
	FROM " . CR_TABLE_1 . " 
	ORDER BY date_begin DESC;");

while ($contest = pwg_db_fetch_assoc($contests)) {
	if ($contest['visible'] OR is_admin()) {
		$contest['finished'] = is_date_passed($contest['date_end']);
		
		// infos sur le concours
		$item =  array(
			'ID' => $contest['id'],
			'NAME' => trigger_event('render_CR_content', $contest['name']),
			'VISIBLE' => $contest['visible'],
			'FINISHED' => $contest['finished'],
			'DATE_END' => format_date($contest['date_end']),
			'DATE_BEGIN' => format_date($contest['date_begin']),
			'LOGO' => $contest['logo'],
			'SUMMARY' => CR_cut_string(trigger_event('render_CR_content', $contest['summary']), 350),
			'URL' => CR_PUBLIC . $contest['id'] . '-' . str2url(trigger_event('render_CR_content', $contest['name'])),
			'DAYS' => DateDiff($contest['date_end'], date('Y-m-d')),
		);
		
		// podium si termin
		if ($contest['finished'] == true) {
			$results = pwg_query("SELECT
					i.id,
					i.name,
					i.file,
					i.path,
					i.tn_ext,
					c.rank,
					c.author
				FROM " . IMAGES_TABLE . " AS i
				INNER JOIN " . CR_TABLE_2 . " AS c
				ON c.image_id = i.id
				WHERE c.contest_id = " . $contest['id'] . "
				ORDER BY c.rank ASC
				LIMIT 3 OFFSET 0;");
			
			while ($result = pwg_db_fetch_assoc($results)) {
				$item['RESULTS'][$result['rank']] = array(
					'RANK' => $result['rank'],
					'AUTHOR' => $result['author'],
					'TN_SRC' => get_thumbnail_url($result)
				);
			}
		}

		$template->append('contests', $item);
	}
}

$template->set_filenames(array('index'=> dirname(__FILE__).'/../template/cr_main.tpl'));

// +-----------------------------------------------------------------------+
//				Template
// +-----------------------------------------------------------------------+
if (is_admin()) {
	$template->assign('U_EDIT', CR_ADMIN);
}
$template->assign('CR_PATH', CR_PATH);
$template->assign('SEPARATOR', $conf['level_separator']);
?>